singularity-devel-2.2-0.1.sdl6.i686.rpm


Advertisement

Description

singularity-devel - Development libraries for Singularity

Property Value
Distribution CentOS 6
Repository PUIAS Computational i386
Package name singularity-devel
Package version 2.2
Package release 0.1.sdl6
Package architecture i686
Package type rpm
Installed size 235.57 KB
Download size 54.85 KB
Official Mirror springdale.math.ias.edu
Development files for Singularity

Alternatives

Package Version Architecture Repository
singularity-devel-2.6.1-1.1.el6.i686.rpm 2.6.1 i686 EPEL
singularity-devel-2.6.1-1.1.el6.i686.rpm 2.6.1 i686 EPEL
singularity-devel-2.6.1-1.1.el6.x86_64.rpm 2.6.1 x86_64 EPEL
singularity-devel-2.2-0.1.sdl6.x86_64.rpm 2.2 x86_64 PUIAS Computational
singularity-devel - - -

Requires

Name Value
libsingularity.so.1 -

Provides

Name Value
singularity-devel = 2.2-0.1.sdl6
singularity-devel(x86-32) = 2.2-0.1.sdl6

Download

Type URL
Binary Package singularity-devel-2.2-0.1.sdl6.i686.rpm
Source Package singularity-2.2-0.1.sdl6.src.rpm

Install Howto

  1. Download latest puias-computational rpm from
    http://springdale.math.ias.edu/data/puias/computational/6/i386/
  2. Install puias-computational rpm:
    # rpm -Uvh puias-computational*rpm
  3. Install singularity-devel rpm package:
    # yum install singularity-devel

Files

Path
/usr/include/singularity.h
/usr/lib/libsingularity.a
/usr/lib/libsingularity.so

See Also

Package Description
sip27-4.9.3-1.1.sdl6.1.i686.rpm SIP - Python/C++ Bindings Generator
sip27-devel-4.9.3-1.1.sdl6.1.i686.rpm Files needed to generate Python bindings for any C++ class library
slimdata-2.6.4-1.puias6.i686.rpm Tools and library for reading and writing slim compressed data
slimdata-devel-2.6.4-1.puias6.i686.rpm Headers required when building programs against getdata
slurm-17.02.11-5.sdl6.i686.rpm Slurm Workload Manager
slurm-contribs-17.02.11-5.sdl6.i686.rpm Perl tool to print Slurm job state information
slurm-devel-17.02.11-5.sdl6.i686.rpm Development package for Slurm
slurm-drmaa-1.0.7-1.sdl6.4.i686.rpm DRMAA for Slurm
slurm-drmaa-devel-1.0.7-1.sdl6.4.i686.rpm Files needed for developing apps that link to drmaa
slurm-lua-17.02.11-5.sdl6.i686.rpm Slurm lua bindings
slurm-munge-17.02.11-5.sdl6.i686.rpm Slurm authentication and crypto implementation using Munge
slurm-openlava-17.02.11-5.sdl6.i686.rpm openlava/LSF wrappers for transitition from OpenLava/LSF to Slurm
slurm-pam_slurm-17.02.11-5.sdl6.i686.rpm PAM module for restricting access to compute nodes via Slurm
slurm-perlapi-17.02.11-5.sdl6.i686.rpm Perl API to Slurm
slurm-plugins-17.02.11-5.sdl6.i686.rpm Slurm plugins (loadable shared objects)
Advertisement
Advertisement